<template>
  <voteCard :title="'会议决策'" @click="goMore">
    <van-skeleton   :row="3" :loading="loading">
      <cardItem v-for="(item,index) in list" :key="index" :params="item" class="cardItem"></cardItem>
    </van-skeleton>
  </voteCard>
</template>

<script>
import voteCard from "@/views/Home/module/voteCard";
import cardItem from "@/views/Home/module/cardItem";
export default {
  name: "vote",
  components:{
    voteCard,
    cardItem
  },
  data(){
    return {
      list:[],
      loading:true
    }
  },
  mounted() {
    this.getVote_activities();
  },
  methods:{
    getVote_activities(){
      let params = {
        pageNum:1,
        pageCapacity:3,
        key:'',
      }
      this.$api.getVote_activities(params).then(res=>{
        this.loading = false
        this.list = res.content.voteActivityViewDtos
      })
    },
    goMore(){
      this.$router.push({name:'meetingList'})
    },
  }
}
</script>

<style scoped>
.cardItem{
  margin-top: 15px;
}
</style>